Hooks Manager - Feature #1754

Ads form needs to be restructurized
20 May 2011 13:37 - Andriy Lesyuk

Status: Closed Start date: 20 May 2011
Priority: Normal Due date: 02 Aug 2013
Assignee: Andriy Lesyuk % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 1.0.0

External issue:

Description
Current ads form is not very friendly!.. Here are issues:

® One-level list of placeholders is hard to read

¢ |It's not clear what placeholders already have ads and which don’t (for Firefox corresponding options have “checked” icon which
however do not work under e.g. Chrome)

¢ When HTML code is modified and one selects another placeholder the confirmation dialog appears... But the placeholder is no
changed back if user rejects!..

| plan to change this form in the next version. Some ideas:

e To the left we can have "menu" like:
o Content
= All pages
= Project page
o Sidebar
= All pages
e Some "tab" (or similar) can allow switching to "menu" like:
o All pages
= Content
= Sidebar
o Project page
o aea

Not sure where to place the outline for now...

Associated revisions

Revision 17 - 02 Aug 2013 23:26 - Andriy Lesyuk

Hooks Ul refactoring (closes #1754) and login hooks

History

#1 - 02 Aug 2013 23:21 - Andriy Lesyuk
- File new_ui.png added

- Due date set to 02 Aug 2013

- Status changed from Open to In Progress

- % Done changed from 0 to 100

This is how it will look:
Hooks

Sample URL: http. //projects.andriylesyuk.com/projects/: project

By page | By location
# Show all hooks

@ Content

@ Footer

& Sidebar
All pages

Issue page (below "Custom queries")

. . Hook: view_projects_show_sidebar_bottorn
Issue page (below "Graphs")
Issue page (below "Issues")

B

#2 - 02 Aug 2013 23:28 - Andriy Lesyuk

- Status changed from In Progress to Closed

Applied in changeset r17.
http://projects.andriylesyuk.com/projects/hooks-manager/repository/revisions/17

Files

new_ui.png 29.2 KB 02 Aug 2013 Andriy Lesyuk
